> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://mezmo.ferndocs.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://mezmo.ferndocs.com/_mcp/server.

# Fetch usage metrics

GET https://api.mezmo.com/v3/pipeline/metric/usage/profile

Query and fetch usage metrics from data profiling.

Reference: https://mezmo.ferndocs.com/api-reference/pipeline/classification/fetch-usage-metrics

## Authentication

- `Authorization` header (required) (prefixed with ` Token  `) — Header authentication of the form `Token <token>`

## Request

### Query parameters

- `from` (datetime, required) — A date/time string that defines the beginning of the window
- `to` (datetime, required) — A date/time string that defines the end of the window
- `id` (string, required) — The identifier of the classifier analysis
- `annotation` (enum, required)
  - Allowed values: `app`, `host`, `level`, `log_type`
- `limit` (integer, optional, default: 20)

## Response

### 200

Default Response

## Examples

**Request**

```json
{}
```

**Response**

```json
{}
```

**SDK Code**

```python
import requests

url = "https://api.mezmo.com/v3/pipeline/metric/usage/profile"

querystring = {"from":"2024-05-01T00:00:00Z","to":"2024-05-07T23:59:59Z","id":"classifier-1234abcd","annotation":"app","limit":"50"}

payload = {}
headers = {
    "Authorization": "Token <pipeline-service-key>",
    "Content-Type": "application/json"
}

response = requests.get(url, json=payload, headers=headers, params=querystring)

print(response.json())
```

```javascript
const url = 'https://api.mezmo.com/v3/pipeline/metric/usage/profile?from=2024-05-01T00%3A00%3A00Z&to=2024-05-07T23%3A59%3A59Z&id=classifier-1234abcd&annotation=app&limit=50';
const options = {
  method: 'GET',
  headers: {
    Authorization: 'Token <pipeline-service-key>',
    'Content-Type': 'application/json'
  },
  body: '{}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.mezmo.com/v3/pipeline/metric/usage/profile?from=2024-05-01T00%3A00%3A00Z&to=2024-05-07T23%3A59%3A59Z&id=classifier-1234abcd&annotation=app&limit=50"

	payload := strings.NewReader("{}")

	req, _ := http.NewRequest("GET", url, payload)

	req.Header.Add("Authorization", "Token <pipeline-service-key>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.mezmo.com/v3/pipeline/metric/usage/profile?from=2024-05-01T00%3A00%3A00Z&to=2024-05-07T23%3A59%3A59Z&id=classifier-1234abcd&annotation=app&limit=50")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Token <pipeline-service-key>'
request["Content-Type"] = 'application/json'
request.body = "{}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.mezmo.com/v3/pipeline/metric/usage/profile?from=2024-05-01T00%3A00%3A00Z&to=2024-05-07T23%3A59%3A59Z&id=classifier-1234abcd&annotation=app&limit=50")
  .header("Authorization", "Token <pipeline-service-key>")
  .header("Content-Type", "application/json")
  .body("{}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.mezmo.com/v3/pipeline/metric/usage/profile?from=2024-05-01T00%3A00%3A00Z&to=2024-05-07T23%3A59%3A59Z&id=classifier-1234abcd&annotation=app&limit=50', [
  'body' => '{}',
  'headers' => [
    'Authorization' => 'Token <pipeline-service-key>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.mezmo.com/v3/pipeline/metric/usage/profile?from=2024-05-01T00%3A00%3A00Z&to=2024-05-07T23%3A59%3A59Z&id=classifier-1234abcd&annotation=app&limit=50");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Token <pipeline-service-key>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Token <pipeline-service-key>",
  "Content-Type": "application/json"
]
let parameters = [] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.mezmo.com/v3/pipeline/metric/usage/profile?from=2024-05-01T00%3A00%3A00Z&to=2024-05-07T23%3A59%3A59Z&id=classifier-1234abcd&annotation=app&limit=50")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```